# Advance Phone Number

{% hint style="info" %}
TEST DATA

number: 08082838283
{% endhint %}

## Lookup phone number (Advance)

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v1/biometrics/merchant/data/verification/phone_number/advance`

This endpoint allows you to lookup a phone number

#### Query Parameters

| Name   | Type   | Description  |
| ------ | ------ | ------------ |
| number | string | phone number |

#### Headers

| Name      | Type   | Description        |
| --------- | ------ | ------------------ |
| x-api-key | string | \<your secret key> |

{% tabs %}
{% tab title="200 Data successfully retrieved." %}

```
{
    "status": true,
    "detail": "Verification Successful",
    "data": {
        "nin": "",
        "firstname": "",
        "middlename": "",
        "surname": "",
        "maidenname": "",
        "telephoneno": "",
        "state": "",
        "place": "",
        "title": "",
        "height": "",
        "email": "",
        "birthdate": "",
        "birthstate": "",
        "birthcountry": "",
        "centralID": "",
        "documentno": "",
        "educationallevel": "",
        "employmentstatus": "",
        "maritalstatus": "",
        "nok_firstname": "",
        "nok_middlename": "",
        "nok_address1": "",
        "nok_address2": "",
        "nok_lga": "",
        "nok_state": "",
        "nok_town": "",
        "nok_postalcode": "",
        "othername": "",
        "pfirstname": "",
        "photo": "Base 64 image",
        "pmiddlename": "",
        "psurname": "",
        "profession": "",
        "nspokenlang": "",
        "ospokenlang": "",
        "religion": "",
        "residence_town": "",
        "residence_lga": "",
        "residence_state": "",
        "residencestatus": "",
        "residence_AddressLine1": "",
        "residence_AddressLine2": "",
        "self_origin_lga": "",
        "self_origin_place": "",
        "self_origin_state": "",
        "signature": "base 64 image"
        "nationality": "",
        "gender": "m",
        "trackingId": ""
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/v1/data-verification-1/data-verification/nigeria/phone-number/advance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
